<?php
session_start();

require_once __DIR__ . '/db/Conexao.php';

if (isset($_POST["login"])) {
    $login = $_POST['login'];
    $password = $_POST['password'];
    $password = sha1($password);

    $user = $connect->prepare("SELECT * FROM carteira WHERE login = :login AND senha = :password AND status = 1");
    $user->execute(['login' => $login, 'password' => $password]);

    $count = $user->rowCount();
    $userData = $user->fetch(PDO::FETCH_OBJ);

    if ($count > 0) {
        $_SESSION["cod_id"] = $userData->Id;
        if ($userData->tipo == 1) {
            echo json_encode(['status' => 'success', 'message' => 'Login efetuado com sucesso como admin', 'redirect' => 'master/']);
        } else if ($userData->tipo == 2) {
            echo json_encode(['status' => 'success', 'message' => 'Login efetuado com sucesso como revendedor', 'redirect' => 'master/']);
        } else {
            echo json_encode(['status' => 'success', 'message' => 'Login efetuado com sucesso', 'redirect' => 'master/']);
        }
    } else {
        echo json_encode(['status' => 'error', 'message' => 'E-mail ou Senha incorreto.']);
    }
}
?>